Bug 852022 - Unable to activate/plug a disk created on POSIX compliant FS storage type to VM.
Unable to activate/plug a disk created on POSIX compliant FS storage type to VM.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.5
Assigned To: Ayal Baron
storage
:
Depends On:
Blocks: 858474
  Show dependency treegraph
 
Reported: 2012-08-27 07:03 EDT by Gowrishankar Rajaiyan
Modified: 2016-02-10 12:33 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858474 (view as bug list)
Environment:
Last Closed: 2012-10-05 00:42:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2012-08-27 07:03:32 EDT
Description of problem: After adding a disk to VM, activating disk operation fails.


Version-Release number of selected component (if applicable):
glusterfs-server-3.3.0rhs-26.el6rhs.x86_64

How reproducible:
Detected randomly.

Steps to Reproduce:
1. Setup RHEV environment
2. Create Datacenter with Storage as gluster mount (POSIX compliant FS).
3. Create a virtual machine on this storage.
4. Add a pre-allocated disk (10g in this case) to virtual machine.
5. Make sure all storage domains are active.
6. Activate this disk when ready.
  
Actual results: Failed to plug the disk TEST-001_Disk2 to VM TEST-001 (User: admin@internal).


Expected results: Should successfully plug the disk to VM.


Additional info: I could activate the disk after a vdsm restart.
Comment 2 shishir gowda 2012-09-13 02:30:18 EDT
Doesn't seem to be a gluster issue
Comment 3 Vijay Bellur 2012-09-24 03:33:00 EDT
Looks like a vdsm issue. Moving to RHEV-M.
Comment 4 Itamar Heim 2012-09-24 03:41:00 EDT
please provide engine and vdsm logs from time of error
Comment 5 Ayal Baron 2012-09-25 04:37:07 EDT
Please provide logs, errors etc.
Comment 6 Gowrishankar Rajaiyan 2012-09-25 04:54:49 EDT
I could not reproduce this. Activating both thin and thick disk works fine now. I shall provide the necessary logs if I happen to hit this again. Please mark this bug accordingly.
Comment 7 Gowrishankar Rajaiyan 2012-10-04 23:32:04 EDT
Please close it as INSUFFICIENT_DATA. Will reopen with requested info if it ever reproduces. Thanks.

Note You need to log in before you can comment on or make changes to this bug.